<?php

# HA NINCS ID, AKKOR BEVÉTEL KATEGÓRIA LISTA
# HA VAN ID, AKKOR BEVÉTEL KATEGÓRIA ADATINAK MEGTEKINTÉSE/MÓDOSÍTÁSA





if ($this->is_id()) {
	# ADOTT BEVÉTEL KATEGÓRIA ADATINAK MEGTEKINTÉSE/MÓDOSÍTÁSA

	$new_moxc = new money_expense_category();
	$new_moxc->set_moxc_data_by_id($this->get_id());

	$smarty->assign("moxc", $new_moxc);
	$smarty->display("money_expense_category_data_edit.tpl");

}
else {
	# BEVÉTEL KATEGÓRIA LISTA
	$moxc_query = "SELECT * FROM money_expense_category WHERE moxc_deleted = 0 ORDER BY moxc_name ASC;";
	$moxc_array = array();
	$moxc_assoc_array = $sql->assoc_array($moxc_query);

	foreach ($moxc_assoc_array as $mox) {
		$new_moxc = new money_expense_category();
		$new_moxc->set_moxc_data_by_id($mox['moxc_id']);
		$moxc_array[] = $new_moxc;
	}

	$smarty->assign("moxc_assoc_array", $moxc_array);
	$smarty->display("money_expense_category.tpl");

}

?>
